// BIXOLON Sample ProgramDlg.h : header file
//

#if !defined(AFX_BIXOLONSAMPLEPROGRAMDLG_H__72E4FF9E_BDF5_4E36_9EDA_06A0A4B3A3C1__INCLUDED_)
#define AFX_BIXOLONSAMPLEPROGRAMDLG_H__72E4FF9E_BDF5_4E36_9EDA_06A0A4B3A3C1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CBIXOLONSampleProgramDlg dialog

class CBIXOLONSampleProgramDlg : public CDialog
{
// Construction
public:
	int LoadBitmap(CString bitmapFile, int yPoint);
	void UnloadDeviceFont(CFont* pNewFont, CFont** pOldFont);
	CDC m_cDC;
	void LoadDeviceFont(CFont* pNewFont, char* szFontName, CFont** pOldFont, int pointsize);
	int nNewPage( CFont* newFont, int nPosition );
	CString m_strPrinterName;
	CBIXOLONSampleProgramDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CBIXOLONSampleProgramDlg)
	enum { IDD = IDD_BIXOLONSAMPLEPROGRAM_DIALOG };
	CComboBox	m_ctrlCashDrawSpeed;
	CComboBox	m_ctrlDeviceFontList;
	int		m_nDrawNumber;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBIXOLONSampleProgramDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CBIXOLONSampleProgramDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnFontPrint();
	afx_msg void OnDestroy();
	afx_msg void OnPartialCut();
	afx_msg void OnPartialCutWithoutFeeding();
	afx_msg void OnPrintReceipt();
	afx_msg void OnOpenCashDraw();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BIXOLONSAMPLEPROGRAMDLG_H__72E4FF9E_BDF5_4E36_9EDA_06A0A4B3A3C1__INCLUDED_)
